
/******************************************************************************
 *
 * Intrinsic.H
 *
 ******************************************************************************/

#define Success         1
#define Failure         0

#define BufferSize    200

#define CH_Escape         ((char) 27)
#define CH_Newline        '\n'
#define CH_Null           '\0'
#define CH_Space          ' '
#define CH_Tab            '\t'
#define CH_SingleQuote    '\''
#define CH_DoubleQuote    '"'
#define CH_BackSlash      '\\'

#define Forever                  for (;;)

typedef void *Pointer;
typedef char  Buffer[BufferSize];
typedef int   (*IPFN)();
typedef int   (*Ipfn)();

#define String    char *
#define Status    int
